import os 
import argparse


indexes_to_run = 50

parser = argparse.ArgumentParser(description='Run the Flan model on a given problem instance.')
parser.add_argument('--seed_extra_offset', type=int, default= 0, help='The seed value to be used for reproducibility.')
seed_extra_offset = parser.parse_args().seed_extra_offset   

# get an argument for the number of indexes to run


for index_offset in [100*i for i in range(seed_extra_offset, seed_extra_offset + 5)]:
    for index in range(indexes_to_run):
        for input_expansion in ['true', 'false']:
            # print('index offset:', index_offset)
            # print('index + index_offset:', index + index_offset)
            os.system(f'python3 LLM_static.py --problem_instance_index {index} --seed {index_offset + index} --input_expansion {input_expansion}')
    